public class Teisendus {

    //Teisendamine antud alusel arvussteemi paremalt vasakule
    static String arvAlusele(int n, int alus) {
        String s = ""; // vastus
        if (n == 0) return "0";
        while (n != 0) {
            int d = n % alus; // jrgmise koha vrtus
            // Teisendame selle mrgiks, esimesed on 0..9, edasi A..
            s += (char)((d < 10) ? '0' + d : 'A' + d - 10);
            n /= alus; // vhendame n
        }
        s = new StringBuilder(s).reverse().toString(); // tegime paremalt vasakule, keerame mber
        return s;
    }

    //Teisendamine antud alusel arvussteemi vasakult paremale
    static String arvAlusele2(int n, char alus) {
        String s = ""; // vastus
        int aste = alus; // astendatud alus
        while (n > aste){
            aste *= alus; // otsime suurima astme
        }
        aste /= alus; // lksime 1 astme mda, jagame alusega
        while (aste != 0) {
            int d = n / aste; // jrgmise koha vrtus
            // Teisendame selle mrgiks, esimesed on 0..9, edasi A..
            s += (char)((d < 10) ? '0' + d : 'A' + d - 10);
            n %= aste; // lejnud kohad
            aste /= alus; // vhendame kordset
        }
        return s;
    }

    public static void main(String[] args) {
        System.out.println(arvAlusele(20, 2));
        System.out.println(arvAlusele(20, 16));
        System.out.println(arvAlusele(695, 16));

        System.out.println(arvAlusele2(20, (char)2));
        System.out.println(arvAlusele2(20, (char)16));
        System.out.println(arvAlusele2(695, (char)16));
    }
}
