public class Arvuteooria {

    // Vahetu Eukleidese algoritm kahe arvu suurima hsiteguri leidmiseks
    static int syt(int a, int b) {
        while (a != b) {
            if (a > b) {
                a -= b;
            }
            else {
                b -= a;
            }
        }
        return a;
    }

    // Lhike algoritm kahe arvu suurima hsiteguri leidmiseks
    static int syt2(int a, int b) {
        return (b == 0) ? a : syt(b, a % b);
    }

    // Kahe arvu vhima hiskordse leidmine
    static int vyk(int a, int b) {
        int temp = syt2(a, b);
        if (temp == 0) {
            return 0;
        }

        return a / temp * b;
    }

    // Laiendatud Eukleidese algoritm diofantiliste vrrandite lahendamiseks
    static int[] dsyt(int a, int b, int x, int y) {
        if (b == 0) {
            x = 1;
            y = 0;
            int[] ret = {a, x, y};
            return ret;
        }
        int x1 = 0, y1 = 0;
        int[] s = dsyt(b, a % b, x1, y1);
        int syt = s[0];
        x1 = s[1];
        y1 = s[2];
        x = y1;
        y = x1 - (a / b) * y1;
        int[] ret = {syt, x, y};
        return ret;
    }

    public static void main(String[] args) {
        //ST ja VK
        int a=1, b=0;
        System.out.println(syt(40, 24));
        System.out.println(syt2(40, 24));
        System.out.println(vyk(40, 24));
        int[] d = dsyt(40, 21, a, b);
        System.out.println(d[0] + " " + d[1] + " " + d[2]);
    }
}
